## GtkCellRendererSpin GtkCellRendererSpin |

## Functions

GtkCellRenderer * | gtk_cell_renderer_spin_new ()

## Properties

GtkAdjustment * | adjustment | Read / Write
double | climb-rate | Read / Write
guint | digits | Read / Write

## Types and Values

struct | GtkCellRendererSpin

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkCellRenderer
                    ╰── GtkCellRendererText
                        ╰── GtkCellRendererSpin

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_cell_renderer_spin_new ()

    GtkCellRenderer *
    gtk_cell_renderer_spin_new (void);

Creates a new GtkCellRendererSpin.

#### Returns

a new GtkCellRendererSpin

Since: 2.10

## Types and Values

### struct GtkCellRendererSpin

    struct GtkCellRendererSpin;

## Property Details

### The `“adjustment”` property

      “adjustment”               GtkAdjustment *

The adjustment that holds the value of the spinbutton. This must be non-`NULL` for the cell renderer to be editable.

Owner: GtkCellRendererSpin

Flags: Read / Write

Since: 2.10

### The `“climb-rate”` property

      “climb-rate”               double

The acceleration rate when you hold down a button.

Owner: GtkCellRendererSpin

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 2.10

### The `“digits”` property

      “digits”                   guint

The number of decimal places to display.

Owner: GtkCellRendererSpin

Flags: Read / Write

Allowed values: <= 20

Default value: 0

Since: 2.10